Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -1063,237 +2287,485 @@
            STATUS      current
            DESCRIPTION
               "Disable / enable IP-MAC-Port Binding admin state for the interface."
-        
+
            ::= { impbSettingEntry 2 }
-        
-        
-        impbInsIpPacPortState OBJECT-TYPE
+
+         impbPortDHCPSnoopingState OBJECT-TYPE
            SYNTAX INTEGER  {
-        		  enabled (0), disabled (1)
+        		  disabled (0), enabled (1)
             }
            MAX-ACCESS  read-write
            STATUS      current
            DESCRIPTION
-              "Enable / disable IP-MAC-Port Binding also inspect IP packets state for the interface."
-        
-           ::= { impbSettingEntry 3 }
-           
-           
-         impbDHCPPortState OBJECT-TYPE
+              "Disable / enable IP-MAC-Port Binding DHCP snooping state for the interface."
+
+           ::= { impbSettingEntry 4 }
+
+         impbPortArpInspectionState OBJECT-TYPE
            SYNTAX INTEGER  {
+        		  disabled (0), strict (1), loose (2)
+            }
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+              "Set IP-MAC-Port Binding ARP Inspection state for the interface."
+
+           ::= { impbSettingEntry 5 }
+
+         impbPortIpInspectionState OBJECT-TYPE
+           SYNTAX INTEGER  {
         		  disabled (0), enabled (1)
             }
            MAX-ACCESS  read-write
            STATUS      current
            DESCRIPTION
-              "Disable / enable IP-MAC-Port Binding DHCP snooping state for the interface."
-        
-           ::= { impbSettingEntry 4 } 
-           
-    impbSmartTable     OBJECT-TYPE
-        SYNTAX SEQUENCE OF ImpbSmartEntry
+              "Set IP-MAC-Port Binding IP Inspection state for the interface."
+
+           ::= { impbSettingEntry 6 }
+
+         impbPortAllowZeroIPState OBJECT-TYPE
+           SYNTAX INTEGER  {
+        		  disabled (0), enabled (1)
+            }
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+              "Disable / enable IP-MAC-Port Binding Allow-Zero-IP state for the interface."
+
+           ::= { impbSettingEntry 7 }
+
+         impbPortForwardDHCPPktState OBJECT-TYPE
+           SYNTAX INTEGER  {
+        		  disabled (0), enabled (1)
+            }
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+              "Disable / enable IP-MAC-Port Binding Forward-DHCP-Packet state for the interface."
+
+           ::= { impbSettingEntry 8 }
+
+           impbPortDHCPMaxEntryIPv4 OBJECT-TYPE
+           SYNTAX      Integer32 (0..10)
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+              "Set the maximum number of IPv4 entries that can be learned for the interface."
+
+           ::= { impbSettingEntry 9 }
+
+           impbPortDHCPMaxEntryIPv6 OBJECT-TYPE
+           SYNTAX      Integer32 (0..10)
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+              "Set the maximum number of IPv6 entries that can be learned for the interface."
+
+           ::= { impbSettingEntry 10 }
+
+           impbPortNDInspectionState OBJECT-TYPE
+           SYNTAX INTEGER  {
+        		  disabled (0), enabled (1)
+            }
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+              "Set IP-MAC-Port Binding ND Inspection state for the interface."
+           ::= { impbSettingEntry 11 }
+
+           impbPortProtocolState OBJECT-TYPE
+           SYNTAX INTEGER  {
+        		  ipv4 (0), ipv6 (1), all (2)
+            }
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+              "Set IP-MAC-Port Binding protocol state for the interface."
+
+           ::= { impbSettingEntry 12 }
+
+        impbPortDHCPv4SetVlanList OBJECT-TYPE
+            SYNTAX     OCTET STRING (SIZE (0..512))
+            MAX-ACCESS read-write
+            STATUS     current
+            DESCRIPTION
+           	 "A string of octets containing one bit per VLAN. The
+             first octet corresponds to VLANs with VlanIndex values
+            1 through 8; the second octet to VLANs 9 through
+            16 etc.  The most significant bit of each octet
+            corresponds to the lowest VlanIndex value in that octet.
+            The set of vlans configured by management to map for this
+            Instance.  If the VlanId to Instance Mapping has to be known
+            then any one of the VlanMapped object should be used.If a
+            vlan is already mapped to this Instance, it may not be mapped
+            again. This object is used only for SET operation.
+            GET Operation returns null values."
+            ::= { impbSettingEntry 13 }
+
+         impbPortDHCPv4VlanList1k OBJECT-TYPE
+            SYNTAX     OCTET STRING (SIZE (0..128))
+            MAX-ACCESS read-only
+            STATUS     current
+            DESCRIPTION
+            "A string of octets containing one bit per VLAN. The
+            first octet corresponds to VLANs with VlanIndex values
+            1 through 8; the second octet to VLANs 9 through
+            16 etc.  The most significant bit of each octet
+            corresponds to the lowest VlanIndex value in that octet.
+            For each VLAN that is mapped to this DHCP snooping,
+            the bit corresponding to that VLAN is set to '1'. "
+            ::= { impbSettingEntry 14 }
+
+          impbPortDHCPv4VlanList2k OBJECT-TYPE
+            SYNTAX     OCTET STRING (SIZE (0..128))
+            MAX-ACCESS read-only
+            STATUS     current
+            DESCRIPTION
+            "A string of octets containing one bit per VLAN for
+            VLANS with VlanIndex values 1025 through 2048.
+            The most significant bit of each
+            octet corresponds to the lowest VlanIndex value in that
+            octet.
+            For each VLAN that is mapped to this DHCPv4 snooping,
+            the bit corresponding to that VLAN is set to '1'.
+            This object is only instantiated on devices with
+            support for VlanIndex values up to 4094."
+            ::= { impbSettingEntry 15 }
+
+         impbPortDHCPv4VlanList3k OBJECT-TYPE
+            SYNTAX     OCTET STRING (SIZE (0..128))
+            MAX-ACCESS read-only
+            STATUS     current
+            DESCRIPTION
+            "A string of octets containing one bit per VLAN for
+            VLANS with VlanIndex values 2049 through 3072.
+            The most significant bit of each
+            octet corresponds to the lowest VlanIndex value in that
+            octet.
+ 	
+            For each VLAN that is mapped to this  DHCPv4 snooping
+            the bit corresponding to that VLAN is set to '1'.
+ 	
+            This object is only instantiated on devices with
+            support for VlanIndex values up to 4094."
+            ::= { impbSettingEntry 16 }
+
+          impbPortDHCPv4VlanList4k OBJECT-TYPE
+            SYNTAX     OCTET STRING (SIZE (0..128))
+            MAX-ACCESS read-only
+            STATUS     current
+            DESCRIPTION
+             "A string of octets containing one bit per VLAN for
+            VLANS with VlanIndex values 3073 through 4094.
+            The most significant bit of each
+            octet corresponds to the lowest VlanIndex value in that
+            octet.
+
+            For each VLAN that is mapped to this  DHCPv4 snooping,
+            the bit corresponding to that VLAN is set to '1'.
+
+            This object is only instantiated on devices with
+            support for VlanIndex values up to 4094."
+            ::= { impbSettingEntry 17 }
+
+          impbPortDHCPv6SetVlanList OBJECT-TYPE
+            SYNTAX     OCTET STRING (SIZE (0..512))
+            MAX-ACCESS read-write
+            STATUS     current
+            DESCRIPTION
+           	 "A string of octets containing one bit per VLAN. The
+             first octet corresponds to VLANs with VlanIndex values
+            1 through 8; the second octet to VLANs 9 through
+            16 etc.  The most significant bit of each octet
+            corresponds to the lowest VlanIndex value in that octet.
+            The set of vlans configured by management to map for this
+            Instance.  If the VlanId to Instance Mapping has to be known
+            then any one of the VlanMapped object should be used.If a
+            vlan is already mapped to this Instance, it may not be mapped
+            again. This object is used only for SET operation.
+            GET Operation returns null values."
+            ::= { impbSettingEntry 18 }
+
+         impbPortDHCPv6VlanList1k OBJECT-TYPE
+            SYNTAX     OCTET STRING (SIZE (0..128))
+            MAX-ACCESS read-only
+            STATUS     current
+            DESCRIPTION
+            "A string of octets containing one bit per VLAN. The
+            first octet corresponds to VLANs with VlanIndex values
+            1 through 8; the second octet to VLANs 9 through
+            16 etc.  The most significant bit of each octet
+            corresponds to the lowest VlanIndex value in that octet.
+            For each VLAN that is mapped to this DHCP snooping,
+            the bit corresponding to that VLAN is set to '1'. "
+            ::= { impbSettingEntry 19 }
+
+          impbPortDHCPv6VlanList2k OBJECT-TYPE
+            SYNTAX     OCTET STRING (SIZE (0..128))
+            MAX-ACCESS read-only
+            STATUS     current
+            DESCRIPTION
+           "A string of octets containing one bit per VLAN for
+            VLANS with VlanIndex values 1025 through 2048.
+            The most significant bit of each
+            octet corresponds to the lowest VlanIndex value in that
+            octet.
+            For each VLAN that is mapped to this DHCPv6 snooping,
+            the bit corresponding to that VLAN is set to '1'.
+            This object is only instantiated on devices with
+            support for VlanIndex values up to 4094."
+            ::= { impbSettingEntry 20 }
+
+         impbPortDHCPv6VlanList3k OBJECT-TYPE
+            SYNTAX     OCTET STRING (SIZE (0..128))
+            MAX-ACCESS read-only
+            STATUS     current
+            DESCRIPTION
+            "A string of octets containing one bit per VLAN for
+            VLANS with VlanIndex values 2049 through 3072.
+            The most significant bit of each
+            octet corresponds to the lowest VlanIndex value in that
+            octet.
+            For each VLAN that is mapped to this  DHCPv6 snooping
+            the bit corresponding to that VLAN is set to '1'.
+            This object is only instantiated on devices with
+            support for VlanIndex values up to 4094."
+            ::= { impbSettingEntry 21 }
+
+          impbPortDHCPv6VlanList4k OBJECT-TYPE
+            SYNTAX     OCTET STRING (SIZE (0..128))
+            MAX-ACCESS read-only
+            STATUS     current
+            DESCRIPTION
+             "A string of octets containing one bit per VLAN for
+            VLANS with VlanIndex values 3073 through 4094.
+            The most significant bit of each
+            octet corresponds to the lowest VlanIndex value in that
+            octet.
+            For each VLAN that is mapped to this  DHCPv6 snooping,
+            the bit corresponding to that VLAN is set to '1'.
+            This object is only instantiated on devices with
+            support for VlanIndex values up to 4094."
+            ::= { impbSettingEntry 22 }
+
+         impbPortDHCPSnoopingFlushState OBJECT-TYPE
+           SYNTAX INTEGER  {
+                disabled (0), enabled (1)
+            }
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+              "Disable / enable IP-MAC-Port Binding DHCP snooping flush when port down."
+           ::= { impbSettingEntry 23 }
+
+    impbAutoScanTable  OBJECT-TYPE
+            SYNTAX SEQUENCE OF ImpbAutoScanEntry
+            MAX-ACCESS not-accessible
+            STATUS current
+            DESCRIPTION
+                "A table to control auto scan features of the device."
+            ::= { securityIpMacPortBinding 2 }
+
+    impbAutoScanEntry OBJECT-TYPE
+        SYNTAX ImpbAutoScanEntry
         MAX-ACCESS not-accessible
         STATUS current
         DESCRIPTION
-            "A table to control Smart IP-MAC-Port Binding features of the device."
-        ::= { securityIpMacPortBinding 2 }
-        
-    impbSmartEntry OBJECT-TYPE
-        SYNTAX ImpbSmartEntry
-        MAX-ACCESS not-accessible
-        STATUS current
-        DESCRIPTION
-            "An entry appears in Smart IP-MAC-Port Binding table for each interface 
- 	        in the system."
-        INDEX { impbSmartMacAddress, impbSmartPort, impbSmartIpAddress}
-        ::= { impbSmartTable 1 }
-  
-    ImpbSmartEntry ::= 
-           SEQUENCE { 
-              impbSmartMacAddress 
-                 MacAddress, 
-              impbSmartPort   
+            "An entry appears in auto scan table for each interface
+          in the system."
+        INDEX { impbAutoScanMacAddress, impbAutoScanPort, impbAutoScanIpAddress}
+        ::= { impbAutoScanTable 1 }
+
+    ImpbAutoScanEntry ::=
+           SEQUENCE {
+              impbAutoScanMacAddress
+                 MacAddress,
+              impbAutoScanPort
                  Integer32,
-              impbSmartIpAddress 
-                 IpAddress,
-              impbSmartVlanId 
-                 Integer32, 
-              impbSmartBinding   
-                 INTEGER             
+              impbAutoScanIpAddress
+                 DisplayString,
+              impbAutoScanVlanId
+                 Integer32,
+              impbAutoScanBinding
+                 INTEGER
           }
-           
-         impbSmartMacAddress OBJECT-TYPE 
-           SYNTAX      MacAddress 
-           MAX-ACCESS  read-only 
-           STATUS      current 
-           DESCRIPTION 
-              "The MAC address associated of the smart IP-MAC-PORT Binding entry."
-           ::= { impbSmartEntry 1 } 
-         
-         impbSmartPort OBJECT-TYPE 
-           SYNTAX      Integer32 
-           MAX-ACCESS  read-only 
-           STATUS      current 
-           DESCRIPTION 
-              "The port number of the smart IP-MAC-PORT Binding entry."
-           ::= { impbSmartEntry 2 }
-                      
-         impbSmartIpAddress OBJECT-TYPE 
-           SYNTAX      IpAddress 
-           MAX-ACCESS  read-only 
-           STATUS      current 
-           DESCRIPTION 
-              "The IP address associated of the smart IP-MAC-PORT Binding entry."
-           ::= { impbSmartEntry 3 } 
-           
-         impbSmartVlanId OBJECT-TYPE 
-           SYNTAX      Integer32 
-           MAX-ACCESS  read-only 
-           STATUS      current 
-           DESCRIPTION 
-              "The VLAN ID of the smart IP-MAC-PORT Binding entry."
-           ::= { impbSmartEntry 4 }  
-           
-         impbSmartBinding OBJECT-TYPE 
+
+         impbAutoScanMacAddress OBJECT-TYPE
+           SYNTAX      MacAddress
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "The MAC address associated of the auto scan entry."
+           ::= { impbAutoScanEntry 1 }
+
+         impbAutoScanPort OBJECT-TYPE
+           SYNTAX      Integer32 (1..28)
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "The port number of the auto scan entry.
+               For all machines give maximum port number."
+           ::= { impbAutoScanEntry 2 }
+
+         impbAutoScanIpAddress OBJECT-TYPE
+           SYNTAX      DisplayString
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "The IP address associated of the auto scan entry."
+           DEFVAL { '00000000'H }
+           ::= { impbAutoScanEntry 3 }
+
+         impbAutoScanVlanId OBJECT-TYPE
+           SYNTAX      Integer32
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "The VLAN ID of the auto scan entry."
+           ::= { impbAutoScanEntry 4 }
+
+         impbAutoScanBinding OBJECT-TYPE
            SYNTAX INTEGER  {
         		  disabled (0), enabled (1)
-            } 
-           MAX-ACCESS  read-write 
-           STATUS      current 
-           DESCRIPTION 
-              "Disable / enable IP-MAC-Port Binding for the interface."
-           ::= { impbSmartEntry 5 }
-           
-    impbWhiteListTable     OBJECT-TYPE
-        SYNTAX SEQUENCE OF ImpbWhiteListEntry
+            }
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+              "Disable / enable IP-MAC-Port Binding for the entry."
+           ::= { impbAutoScanEntry 5 }
+
+    impbBindingListTable     OBJECT-TYPE
+        SYNTAX SEQUENCE OF ImpbBindingListEntry
         MAX-ACCESS not-accessible
         STATUS current
         DESCRIPTION
             "A table to control Manual IP-MAC-Port Binding white list features of the device."
         ::= { securityIpMacPortBinding 3 }
-        
-    impbWhiteListEntry OBJECT-TYPE
-        SYNTAX ImpbWhiteListEntry
+
+    impbBindingListEntry OBJECT-TYPE
+        SYNTAX ImpbBindingListEntry
         MAX-ACCESS not-accessible
         STATUS current
         DESCRIPTION
-            "An entry appears in Manual IP-MAC-Port Binding white list table for each interface 
+            "An entry appears in Manual IP-MAC-Port Binding white list table for each interface
  	        in the system."
-        INDEX { impbWhiteListIpAddress, impbWhiteListMacAddress }
-        ::= { impbWhiteListTable 1 }
-  
-    ImpbWhiteListEntry ::= 
-           SEQUENCE { 
-              impbWhiteListIpAddress 
-                 IpAddress,
-              impbWhiteListMacAddress 
-                 MacAddress, 
-              impbWhiteListPort   
+        INDEX { impbBindingListIpAddress, impbBindingListMacAddress }
+        ::= { impbBindingListTable 1 }
+
+    ImpbBindingListEntry ::=
+           SEQUENCE {
+              impbBindingListIpAddress
+                 DisplayString,
+              impbBindingListMacAddress
+                 MacAddress,
+              impbBindingListPort
                  Integer32,
-              impbWhiteListRowStatus   
-                 RowStatus             
-          }       
-          
-         impbWhiteListIpAddress OBJECT-TYPE 
-           SYNTAX      IpAddress 
-           MAX-ACCESS  read-only 
-           STATUS      current 
-           DESCRIPTION 
+              impbBindingListRowStatus
+                 RowStatus
+          }
+
+         impbBindingListIpAddress OBJECT-TYPE
+           SYNTAX      DisplayString
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
               "The IP address associated of the Manual IP-MAC-PORT Binding white list entry."
-           ::= { impbWhiteListEntry 1 } 
-            
-         impbWhiteListMacAddress OBJECT-TYPE 
-           SYNTAX      MacAddress 
-           MAX-ACCESS  read-only 
-           STATUS      current 
-           DESCRIPTION 
+           DEFVAL { '00000000'H }
+           ::= { impbBindingListEntry 1 }
+
+         impbBindingListMacAddress OBJECT-TYPE
+           SYNTAX      MacAddress
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
               "The MAC address associated of the Manual IP-MAC-PORT Binding white list entry."
-           ::= { impbWhiteListEntry 2 } 
-           
-         impbWhiteListPort OBJECT-TYPE 
-           SYNTAX      Integer32 
-           MAX-ACCESS  read-write 
-           STATUS      current 
-           DESCRIPTION 
+           ::= { impbBindingListEntry 2 }
+
+         impbBindingListPort OBJECT-TYPE
+           SYNTAX      Integer32
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
               "The port number of the Manual IP-MAC-PORT Binding white list entry."
-           ::= { impbWhiteListEntry 3 } 
-           
-         impbWhiteListRowStatus OBJECT-TYPE
+           ::= { impbBindingListEntry 3 }
+
+         impbBindingListRowStatus OBJECT-TYPE
             SYNTAX      RowStatus
             MAX-ACCESS  read-create
             STATUS      current
             DESCRIPTION
-                "The status of a row in impbWhiteListTable. By setting this object, new
-                entries can be created in impbWhiteListTable and existing entries can be
-                removed from impbWhiteListTable. It can be used as specified in the SNMP
+                "The status of a row in impbBindingListTable. By setting this object, new
+                entries can be created in impbBindingListTable and existing entries can be
+                removed from impbBindingListTable. It can be used as specified in the SNMP
                 v2 standard."
-            ::= { impbWhiteListEntry 4 } 
+            ::= { impbBindingListEntry 4 }
 
-    impbBlackListTable     OBJECT-TYPE
-        SYNTAX SEQUENCE OF ImpbBlackListEntry
+    impbBlockListTable     OBJECT-TYPE
+        SYNTAX SEQUENCE OF ImpbBlockListEntry
         MAX-ACCESS not-accessible
         STATUS current
         DESCRIPTION
             "A table to control IP-MAC-Port Binding black list of the device."
         ::= { securityIpMacPortBinding 4 }
-        
-    impbBlackListEntry OBJECT-TYPE
-        SYNTAX ImpbBlackListEntry
+
+    impbBlockListEntry OBJECT-TYPE
+        SYNTAX ImpbBlockListEntry
         MAX-ACCESS not-accessible
         STATUS current
         DESCRIPTION
-            "An entry appears in Manual IP-MAC-Port Binding black list table for each interface 
+            "An entry appears in Manual IP-MAC-Port Binding black list table for each interface
  	        in the system."
-        INDEX { impbBlackListMacAddress, impbBlackListVlanId, impbBlackListPort }
-        ::= { impbBlackListTable 1 }
-  
-    ImpbBlackListEntry ::= 
-           SEQUENCE { 
-              impbBlackListMacAddress 
-                 MacAddress, 
-              impbBlackListVlanId 
-                 Integer32, 
-              impbBlackListPort   
+        INDEX { impbBlockListMacAddress, impbBlockListVlanId, impbBlockListPort }
+        ::= { impbBlockListTable 1 }
+
+    ImpbBlockListEntry ::=
+           SEQUENCE {
+              impbBlockListMacAddress
+                 MacAddress,
+              impbBlockListVlanId
                  Integer32,
-              impbBlackListIpAddress 
-                 IpAddress,
-              impbBlackListStatus   
-                 INTEGER             
+              impbBlockListPort
+                 Integer32,
+              impbBlockListIpAddress
+                 DisplayString,
+              impbBlockListStatus
+                 INTEGER
           }
-          
-        impbBlackListMacAddress OBJECT-TYPE 
-           SYNTAX      MacAddress 
-           MAX-ACCESS  read-only 
-           STATUS      current 
-           DESCRIPTION 
+
+        impbBlockListMacAddress OBJECT-TYPE
+           SYNTAX      MacAddress
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
               "The MAC address associated of the IP-MAC-PORT Binding black list entry."
-           ::= { impbBlackListEntry 1 } 
-         
-         impbBlackListVlanId OBJECT-TYPE 
-           SYNTAX      Integer32 
-           MAX-ACCESS  read-only 
-           STATUS      current 
-           DESCRIPTION 
+           ::= { impbBlockListEntry 1 }
+
+         impbBlockListVlanId OBJECT-TYPE
+           SYNTAX      Integer32 (1..4094)
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
               "The VLAN ID of the IP-MAC-PORT Binding black list entry."
-           ::= { impbBlackListEntry 2 }
-           
-         impbBlackListPort OBJECT-TYPE 
-           SYNTAX      Integer32 
+           ::= { impbBlockListEntry 2 }
+
+         impbBlockListPort OBJECT-TYPE
+           SYNTAX      Integer32 (1..28)
            MAX-ACCESS  read-only
-           STATUS      current 
-           DESCRIPTION 
+           STATUS      current
+           DESCRIPTION
               "The port number of the IP-MAC-PORT Binding black list entry."
-           ::= { impbBlackListEntry 3 } 
-           
-         impbBlackListIpAddress OBJECT-TYPE 
-           SYNTAX      IpAddress 
-           MAX-ACCESS  read-only 
-           STATUS      current 
-           DESCRIPTION 
+           ::= { impbBlockListEntry 3 }
+
+         impbBlockListIpAddress OBJECT-TYPE
+           SYNTAX      DisplayString
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
               "The IP address associated of the IP-MAC-PORT Binding black list entry."
-           ::= { impbBlackListEntry 4 } 
-           
-         impbBlackListStatus OBJECT-TYPE
+           DEFVAL { '00000000'H }
+           ::= { impbBlockListEntry 4 }
+
+         impbBlockListStatus OBJECT-TYPE
             SYNTAX      INTEGER {
         		  nothing (0), deleted (1)
             }
@@ -1301,23 +2773,26 @@
             STATUS      current
             DESCRIPTION
                 "nothing/delete IP-MAC-Port Binding for the interface."
-            ::= { impbBlackListEntry 5 }    
-    impbAutoScanIpAddressFrom OBJECT-TYPE 
-        SYNTAX      IpAddress 
-        MAX-ACCESS  read-write 
-        STATUS      current 
-        DESCRIPTION 
+            ::= { impbBlockListEntry 5 }
+
+    impbAutoScanIpAddressFrom OBJECT-TYPE
+        SYNTAX      Ipv6Address
+        MAX-ACCESS  read-write
+        STATUS      current
+        DESCRIPTION
            "The begin for IP address associated of the IP-MAC-PORT Binding auto scan entry."
+        DEFVAL { '00000000'H }
         ::= { securityIpMacPortBinding 5 }
-            
-    impbAutoScanIpAddressTo OBJECT-TYPE 
-        SYNTAX      IpAddress 
-        MAX-ACCESS  read-write 
-        STATUS      current 
-        DESCRIPTION 
+
+    impbAutoScanIpAddressTo OBJECT-TYPE
+        SYNTAX      Ipv6Address
+        MAX-ACCESS  read-write
+        STATUS      current
+        DESCRIPTION
            "The end for IP address associated of the IP-MAC-PORT Binding auto scan entry."
+        DEFVAL { '00000000'H }
         ::= { securityIpMacPortBinding 6 }
-           
+
     impbAutoScanStatus OBJECT-TYPE
         SYNTAX      INTEGER {
       		  nothing (0), scan (1)
